Bug 752545 - Report also /proc/PID/fd/ and /proc/PID/fdinfo/
Summary: Report also /proc/PID/fd/ and /proc/PID/fdinfo/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-11-09 20:08 UTC by Jan Kratochvil
Modified: 2012-04-18 22:58 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.10-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 22:58:54 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kratochvil 2011-11-09 20:08:53 UTC
Description of problem:
One can see opened fd<->filenames for a crashed process.  Report it.

Version-Release number of selected component (if applicable):
abrt-2.0.6-1.fc16.x86_64

How reproducible:
Always.

Steps to Reproduce:
Crash program.

Actual results:
For example /proc/PID/maps snapshot is offered.
/dev/fd/ listing and /dev/fdinfo/* contents are not available.

Expected results:
/dev/fd/ listing and /dev/fdinfo/* contents are available.

Additional info:
/proc/PID/limits and maybe other files may be also interesting.

Comment 1 Jan Kratochvil 2011-11-09 20:11:22 UTC
Typo, /proc/PID/fd/ and /proc/PID/fdinfo/ (not /dev/fd/).

Comment 3 Fedora Admin XMLRPC Client 2011-12-19 17:41:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2011-12-19 17:45:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Denys Vlasenko 2012-01-13 11:16:25 UTC
Fixed in git:

commit da7e73871082aa09d2fcddb8c87a432a31003302
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Fri Jan 13 12:12:10 2012 +0100

    abrt-hook-ccpp: save limits, fd/N and fdinfo/N as "limits" and "open_fds" elements

Comment 6 Jan Kratochvil 2012-01-13 13:34:13 UTC
I haven't seen it yet but I appreciate the feature, thanks.

Comment 7 Fedora Update System 2012-03-27 10:17:03 UTC
abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17

Comment 8 Fedora Update System 2012-03-28 05:57:54 UTC
Package abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.9-1.fc17 libreport-2.0.10-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4804/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-04-02 13:32:53 UTC
abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17

Comment 10 Fedora Update System 2012-04-18 22:58:54 UTC
abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.